NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Die::DrawBeadTaperBuilder Class Reference

Taper definition for the end of the Die Engineering Draw Bead. More...

Inheritance diagram for NXOpen::Die::DrawBeadTaperBuilder:
NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  TaperTypes { TaperTypesSpherical, TaperTypesWashout, TaperTypesPoint }
 Taper types to define how the slope is created for the bead end. More...
 

Public Member Functions

void SetTaperPoint (NXOpen::Point *taperPoint)
 Sets the point used for defining the radius value of the spherical taper. More...
 
void SetTaperType (NXOpen::Die::DrawBeadTaperBuilder::TaperTypes taperType)
 Sets the method to apply for defining the taper. More...
 
NXOpen::PointTaperPoint ()
 Returns the point used for defining the radius value of the spherical taper. More...
 
NXOpen::ExpressionTaperRadius ()
 Returns the expression containing the radius value for a spherical taper. More...
 
NXOpen::Die::DrawBeadTaperBuilder::TaperTypes TaperType ()
 Returns the method to apply for defining the taper. More...
 
NXOpen::ExpressionTaperWashoutHeight ()
 Returns the expression containing the height value for a washout taper. More...
 
NXOpen::ExpressionTaperWashoutLength ()
 Returns the expression containing the length value for a washout taper. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Taper definition for the end of the Die Engineering Draw Bead.

The taper can be defined at the start, end, or both ends of the draw bead and smoothly transition the bead back into the sheet body.
Created in NX7.5.0.

Member Enumeration Documentation

Taper types to define how the slope is created for the bead end.

Enumerator
TaperTypesSpherical 

Create a spherical end based on a radius.

TaperTypesWashout 

Create a slope based on the height and length desired.

TaperTypesPoint 

Use the spherical method, but the radius is defined by a point location and distance to the end of the centerline.

Member Function Documentation

void NXOpen::Die::DrawBeadTaperBuilder::SetTaperPoint ( NXOpen::Point taperPoint)

Sets the point used for defining the radius value of the spherical taper.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
taperPointtaperpoint
void NXOpen::Die::DrawBeadTaperBuilder::SetTaperType ( NXOpen::Die::DrawBeadTaperBuilder::TaperTypes  taperType)

Sets the method to apply for defining the taper.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
taperTypetapertype
NXOpen::Point* NXOpen::Die::DrawBeadTaperBuilder::TaperPoint ( )

Returns the point used for defining the radius value of the spherical taper.


Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Die::DrawBeadTaperBuilder::TaperRadius ( )

Returns the expression containing the radius value for a spherical taper.


Created in NX7.5.0.

License requirements : None

NXOpen::Die::DrawBeadTaperBuilder::TaperTypes NXOpen::Die::DrawBeadTaperBuilder::TaperType ( )

Returns the method to apply for defining the taper.


Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Die::DrawBeadTaperBuilder::TaperWashoutHeight ( )

Returns the expression containing the height value for a washout taper.


Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Die::DrawBeadTaperBuilder::TaperWashoutLength ( )

Returns the expression containing the length value for a washout taper.


Created in NX7.5.0.

License requirements : None

virtual bool NXOpen::Die::DrawBeadTaperBuilder::Validate ( )
virtual

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Returns
Was self validation successful
Created in NX3.0.1.

License requirements : None

Implements NXOpen::GeometricUtilities::IComponentBuilder.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.